/* applies to both radio buttons and checkboxes */

.multiple-choice {
  position: relative;
  display: flex;
  align-items: center;
  margin-bottom: 10px;
  border: 1px solid var(--blue-dark);
  color: var(--blue-dark);
  cursor: pointer;
  padding: 10px 0;
  min-width: 250px;
}

.multiple-choice--selected {
  color: white;
  background-color: var(--blue-dark);
}

.multiple-choice--animated {
  animation: blink 0.2s ease-in-out infinite;
}

@keyframes blink {
  0% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}

.multiple-choice__label {
  padding: .2rem .5rem;
}

.key {
  font-variant-numeric: tabular-nums;
  font-family: 'Space Mono', monospace;
  display: inline-block;
  padding: 0.5em;
  position: relative;
}

.key__label {
  padding: 0 .2rem;
  position: relative;
  font-weight: bold;
}

.multiple-choice:hover > .key > .key__label,
.multiple-choice:hover > .key > .key__label {
  background: var(--blue-dark);
  color: white;
}

@media screen and (min-width: 800px) {
  .multiple-choice:hover > .key::before,
  .multiple-choice:hover > .key::before {
    content: 'key ';
    width: 50px;
    padding: 0.1rem 0.2rem;
    position: absolute;
    left: -30px;
    top: 5px;
    color: white;
    background: var(--blue-dark);
    height: 63%;
  }
}
